commit cb8593a3f2afee0360379a773ac9af223fd4a515
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 26 02:18:46 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 8e5ffde7b7f..2feb6dbce6d 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,90 @@
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-08-05  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/99744
+	* config/i386/i386.c (ix86_can_inline_p): Ignore MASK_80387 if
+	callee only uses GPRs.
+	* config/i386/ia32intrin.h: Revert commit 5463cee2770.
+	* config/i386/serializeintrin.h: Revert commit 71958f740f1.
+	* config/i386/x86gprintrin.h: Add
+	#pragma GCC target("general-regs-only") and #pragma GCC pop_options
+	to disable non-GPR ISAs.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-07-18  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/101492
+	* common/config/i386/i386-common.c (ix86_handle_option): For
+	-mgeneral-regs-only, enable the GPR only instructions which are
+	enabled implicitly by SSE ISAs unless they have been disabled
+	explicitly.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-07-21  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/101549
+	* config/i386/i386-builtin.def: Remove OPTION_MASK_ISA_SSE4_2
+	from CRC32 _builtin functions.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-04-20  H.J. Lu  <hjl.tools@gmail.com>
+
+	* config/i386/i386-c.c (ix86_target_macros_internal): Define
+	__CRC32__ for -mcrc32.
+	* config/i386/i386-options.c (ix86_option_override_internal):
+	Enable crc32 instruction for -msse4.2.
+	* config/i386/i386.md (sse4_2_crc32<mode>): Remove TARGET_SSE4_2
+	check.
+	(sse4_2_crc32di): Likewise.
+	* config/i386/ia32intrin.h: Use crc32 target option for CRC32
+	intrinsics.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-04-21  H.J. Lu  <hjl.tools@gmail.com>
+
+	* config.gcc: Install mwaitintrin.h for i[34567]86-*-* and
+	x86_64-*-* targets.
+	* lto-streamer.h (LTO_minor_version): Bump.
+	* common/config/i386/i386-common.c (OPTION_MASK_ISA2_MWAIT_SET):
+	New.
+	(OPTION_MASK_ISA2_MWAIT_UNSET): Likewise.
+	(ix86_handle_option): Handle -mmwait.
+	* config/i386/i386-builtins.c (ix86_init_mmx_sse_builtins):
+	Replace OPTION_MASK_ISA_SSE3 with OPTION_MASK_ISA2_MWAIT on
+	__builtin_ia32_monitor and __builtin_ia32_mwait.
+	* config/i386/i386-options.c (isa2_opts): Add -mmwait.
+	(ix86_valid_target_attribute_inner_p): Likewise.
+	(ix86_option_override_internal): Enable mwait/monitor
+	instructions for -msse3.
+	* config/i386/i386.h (TARGET_MWAIT): New.
+	(TARGET_MWAIT_P): Likewise.
+	* config/i386/i386.opt: Add -mmwait.
+	* config/i386/mwaitintrin.h: New file.
+	* config/i386/pmmintrin.h: Include <mwaitintrin.h>.
+	* config/i386/sse.md (sse3_mwait): Replace TARGET_SSE3 with
+	TARGET_MWAIT.
+	(@sse3_monitor_<mode>): Likewise.
+	* config/i386/x86gprintrin.h: Include <mwaitintrin.h>.
+	* doc/extend.texi: Document mwait target attribute.
+	* doc/invoke.texi: Document -mmwait.
+
+2021-08-25  konglin1  <lingling.kong@intel.com>
+
+	PR target/101471
+	* config/i386/avx512dqintrin.h (_mm512_fpclass_ps_mask): Fix
+	macro define in O0.
+	(_mm512_mask_fpclass_ps_mask): Ditto.
+
 2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 83bcbc11a41..98be00843bf 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210825
+20210826
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 5374622711d..d358e6b5f09 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,61 @@
+2021-08-25  Bernd Edlinger  <bernd.edlinger@hotmail.de>
+
+	Backported from master:
+	2021-05-29  Bernd Edlinger  <bernd.edlinger@hotmail.de>
+
+	* gcc.dg/plugin/diagnostic_plugin_show_trees.c (plugin_init): Fix caret_max_with.
+	* gcc.dg/plugin/diagnostic_plugin_test_inlining.c
+	(plugin_init): Likewise.
+	* gcc.dg/plugin/diagnostic_plugin_test_paths.c (plugin_init): Likewise.
+	* gcc.dg/plugin/diagnostic_plugin_test_string_literals.c
+	(plugin_init): Likewise.
+	* gcc.dg/plugin/diagnostic_plugin_test_tree_expression_range.c
+	(plugin_init): Likewise.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-08-05  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/99744
+	* gcc.target/i386/pr99744-3.c: New test.
+	* gcc.target/i386/pr99744-4.c: Likewise.
+	* gcc.target/i386/pr99744-5.c: Likewise.
+	* gcc.target/i386/pr99744-6.c: Likewise.
+	* gcc.target/i386/pr99744-7.c: Likewise.
+	* gcc.target/i386/pr99744-8.c: Likewise.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-07-18  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/101492
+	* gcc.target/i386/pr101492-1.c: New test.
+	* gcc.target/i386/pr101492-2.c: Likewise.
+	* gcc.target/i386/pr101492-3.c: Likewise.
+	* gcc.target/i386/pr101492-4.c: Likewise.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-07-21  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/101549
+	* gcc.target/i386/crc32-6.c: New test.
+
+2021-08-25  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2021-04-21  H.J. Lu  <hjl.tools@gmail.com>
+
+	* gcc.target/i386/monitor-2.c: New test.
+
+2021-08-25  konglin1  <lingling.kong@intel.com>
+
+	PR target/101471
+	* gcc.target/i386/avx512f-pr101471.c: New test.
+
 2021-08-24  Richard Earnshaw  <rearnsha@arm.com>
 
 	Backported from master:

